using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JLHHJSvr.LJException
{
    public class LJException : Exception
    {
        public LJException(string msg)
            : base(msg)
        {
        }

#if !DEBUG
        // 非debug版本不返回堆栈
        public override string ToString()
        {
            return Message;
        }
#endif
    }

    public class LJCommonException : LJException
    {
        public LJCommonException(string message)
            : base(message)
        {
        }
    }
    public class LJNetworkException : LJException
    {
        public LJNetworkException(string message)
            : base(message)
        {
        }
    }
    public class LJSearchResultNotFoundException : LJException
    {
        public LJSearchResultNotFoundException(string msg)
            : base(string.Format("未查找到[{0}]的相关记录", msg))
        {
        }
    }
    public class PriceHelperException : LJException
    {
        public PriceHelperException(string message)
            : base(message)
        {
        }
    }

    public class PBExpressionHelperException : LJException
    {
        public PBExpressionHelperException(string message)
            : base(message)
        {
        }
    }

    public class LJPowerMissingExeption : LJException
    {
        public LJPowerMissingExeption(string message)
            : base(message)
        {
        }
    }
}
